ACE version mismatch when running Feature Forest-based Maximum Entropy Model Trainer


#1

Hi Woodley,

I am trying to run the Feature Forest-based Maximum Entropy Model Trainer.
I used ACE version 0.9.29 for the grammar image and treebank (gold profile).
When I run
~/grammar/INDRA$ FFGRANDPARENT=0 ~/tools/fftrain-0.9.25/ffworker ind.dat huge-dt tsdb/gold/huge-corpus localhost
I got this error message:
version mismatch: this is ACE version 0.9.25, but this grammar image was compiled by ACE version 0.9.29

I have just realized that fftrain-0.9.25 only works with ACE 0.9.25.
I have some questions:
Is there fftrain that works with ACE version 0.9.29?
If not, should I use ACE 0.9.25 for the grammar image and redo the treebanking process to get the gold profile if I want to run the fftrain?
Can I use the fftrain for automatic treebanking? If yes, could you please tell me how?

Best regards,
David


#2

Hi David,

To use fftrain-0.9.25 you will need to use ACE 0.9.25 to build a grammar
image. You don’t need to redo any treebanking; profiles are not linked
to or dependent on a particular ACE version. The other option is to use
a version of fftrain that matches the ACE version you are using, which
may or may not be practical depending on how up-to-date I am on
distributing binaries of the different ACE-dependent tool I monger.
Today it should be practical (see
http://sweaglesw.org/linguistics/acetools/).

I’m not sure what you mean by “automatic treebanking.” For updating
your treebank from one grammar version to another, you would use fftb, e.g.:

fftb -g indra-new.dat profile-parsed-with-new --gold
indra-old/tsdb/gold/profile --auto

If you mean using the maxent model produced by fftrain to automatically
select readings when parsing, you need to tell ACE to use that model.
Either specify it in config.tdl, or use --maxent=my-new-model.mem. Then
when you ask for the top 1 reading (ace -g indra.dat -1), it will be
picked using that model.

Does that help?
-Woodley


#3

Hi Woodley,

Thank you very much for your reply and the link to acetools!
I used ffmaster and ffworker 0.9.29 and it worked!!
By “automatic treebanking”, I mean using the model to select the best (top 1) reading. I got no error messages this time.
Thanks again!

Best regards,
David